# Awesome-Selfhosted

Selfhosting is the process of locally hosting and managing applications instead of renting from SaaS providers.

This is list of software which can be hosted locally.

You can help by sending Pull Requests to add more services.

Table of Contents
=================

  * [Monitoring](#monitoring)
  * [Media Streaming](#media-streaming)
  * [Photo Galleries](#photo-galleries)
  * [Games](#games)
  * [File Synchronization Tools](#file-synchronization-tools)
  * [File Sharing](#file-sharing)
  * [Social Networks](#social-networks)
  * [Communication Systems](#communication-systems)
  * [Office Suites](#office-suites)
  * [RSS Readers](#rss-readers)
  * [Money & Budgeting](#money-budgeting)
  * [Analytics](#analytics)
  * [URL Shorteners](#url-shorteners)
  * [Automation](#automation)
  * [Groupware](#groupware)

## Monitoring

  * https://www.nagios.org/ - Nagios - Industry standard monitoring software, which has a lot of plugins and customisation posibilities. - GPL


## Media Streaming

  * https://plex.tv/ - Plex - Plex is a centralized home media playback system with a powerful central server.
  * http://htpc.io/  - HTPC Manager - A fully responsive interface to manage all your favorite media on your HTPC. - MIT
  * https://github.com/MediaBrowser/MediaBrowser - Emby - A home media server built using other popular open source technologies. - GNU GPL 2.0

## Photo Galleries

  * http://piwigo.org/ - Piwigo - Photo gallery software for the web, built by an active community of users and developers. - GNU GPL 2.0
  * https://github.com/electerious/Lychee - Lychee - an open source grid and album based photo-management-system - MIT

## Games

  * https://github.com/jatekos101/20euros - 20euros - Clone of 2048 game with euros. - Unlicensed
  * https://github.com/Kshitij-Banerjee/Cubiks-2048 - Cubiks-2048 - Clone of 2048 game in 3D. - CCANC 4.0
  * https://github.com/huytd/agar.io-clone - Agar.IO Clone - Agar.io clone written with Socket.IO and HTML5 canvas - MIT

## File Synchronization Tools

  * https://www.getsync.com/ - BTSync - BitTorrent Sync by BitTorrent, Inc is a proprietary peer-to-peer file synchronisation tool.
  * https://github.com/syncthing/syncthing - Syncthing - Syncthing is an open source peer-to-peer file synchronisation tool - MPL 2.0

## File Sharing

  * https://coquelicot.potager.org/ - Coquelicot - Coquelicot is a “one-click” file sharing web application with a focus on protecting users’ privacy. - GNU-AGPL 3.0

## Social Networks

  * https://diasporafoundation.org/ - Diaspora - Distributed social networking service. - GNU-AGPL-3.0
  * http://friendica.com/ - Friendica - Social Communication Server. GNU-AGPL 3.0

## Communication Systems

  * https://github.com/IgorAntun/node-chat - Node-Chat - A not-so-basic open-source chat with admin features. - MIT

## Office Suites

  * http://onlyoffice.org/ - Only Office - An office suite that enables you to manage documents, projects, team and customer relations in one place. - GNU AGPL 3.0
  * https://ethercalc.org/ - EtherCalc - Web spreadsheet. - CPAL 1.0
  * http://etherpad.org/ - Etherpad - Etherpad is a highly customizable Open Source online editor providing collaborative editing in really real-time. - Apache License

## RSS Readers

  * http://freshrss.org/ - Fresh RSS - A free, self-hostable RSS aggregator. - GNU-AGPL-3.0
  * https://tt-rss.org/redmine/projects/tt-rss/wiki - Tiny Tiny RSS - Open source web-based news feed (RSS/Atom) reader and aggregator. - GNU GPL 3.0

## Money & Budgeting

  * http://ihatemoney.org/ - IHateMoney - Manage your shared expenses, easily. - Copyright

## Gateways

  * https://github.com/liftoff/GateOne/ - GateOne - Gate One is an HTML5 web-based terminal emulator and SSH client. - AGPL 3.0
  * http://guac-dev.org/ - Guacamole - Guacamole is a clientless remote desktop gateway. It supports standard protocols like VNC and RDP. - Copyright

## Analytics

  * https://piwik.org/ - Piwik - Leading open-source analytics platform that gives you more than just powerful analytics. - GNU GPL 3.0

## URL Shorteners
  * https://github.com/YOURLS/YOURLS - YOURLS - YOURLS is a set of PHP scripts that will allow you to run Your Own URL Shortener. - MIT
 
## Automation
  * https://github.com/cantino/huginn - Huginn - Allows you to build agents that monitor and act on your behalf. Built in Ruby - MIT
  
## Groupware
  * https://kolab.org/ - http://git.kolab.org/ - Kolab - Kolab community is a unified communication and collaboration system - Various Free Software / Open Source Software Licenses
  * http://www.horde.org/ - Horde - The Horde Project is about creating high quality Open Source applications and libraries, based on PHP and the Horde Framework. - GPL + Various Free Software / Open Source Software Licenses
